
Core - Task # 55669

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:
Created: 2014-02-04 Assigned To: Anja Leichsenring
Updated: 2014-02-25 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: form sysext entry script cleanup
Description

typo3/sysext/form/Classes/Controller/Wizard.php uses the init.php routine.

Associated revisions
Revision 002c700d - 2014-02-25 18:51 - Anja Leichsenring

[TASK] Form sysext entry script cleanup

The form sysext contains a wizard to provide help for form creation.
This script used the init.php entry script. This is no longer wanted,
but the API can be used to add wizards.

To do so, some files were moved around and follow the same schema
as shown in openid sysext.

Change-Id: I6b6c41de6c271c56404151b1ec95f45e6f7786af
Resolves: #55669
Releases: 6.2
Reviewed-on: https://review.typo3.org/27347
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-02-04 22:19 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#2 - 2014-02-06 20:09 - Anja Leichsenring
- % Done changed from 0 to 100
- Estimated time set to 1.50
- Remaining (hours) set to 1.5

#3 - 2014-02-18 18:06 - Markus Klein

Is there a reason why this is set to 100% done, while the patch is not yet merged?

#4 - 2014-02-19 17:50 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#5 - 2014-02-25 15:09 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#6 - 2014-02-25 16:20 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#7 - 2014-02-25 16:44 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#8 - 2014-02-25 16:58 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#9 - 2014-02-25 17:17 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#10 - 2014-02-25 17:47 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#11 - 2014-02-25 17:59 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#12 - 2014-02-25 18:22 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#13 - 2014-02-25 18:43 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27347

#14 - 2014-02-25 19:30 - Anja Leichsenring
- Status changed from Under Review to Resolved

Applied in changeset commit:002c700dd674784f7d7efb817f496be4d246bede.
